| aiengine Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XAieGbl_Tile Struct Reference

This typedef contains configuration information of the tiles. More...

## Data Fields
u16 | RowId
| Row index of the tile in the AIE array. More...
u16 | ColId
| Column index of the tile in the AIE array. More...
u8 | TileType
| AIE tile or Shim tile. More...
u64 | TileAddr
| 48-bit Tile base address More...
u64 | MemModAddr
| 48-bit Memory module base address More...
u64 | CoreModAddr
| 48-bit Core module base address More...
u64 | NocModAddr
| 48-bit NoC module base address More...
u64 | PlModAddr
| 48-bit PL module base address More...
u64 | LockAddr
| 48-bit Lock config base address More...
u64 | StrmSwAddr
| 48-bit Stream switch config base address More...
u8 | IsReady
| Tile is initialized and ready. More...
u8 | IsUsed
| Tile is in use(not gated) More...
u32 | MemBCUsedMask
| Memory module used broadcast event mask. More...
u32 | CoreBCUsedMask
| Core module used broadcast event mask. More...
u32 | PlIntEvtUsedMask
| PL module used internal event mask. More...
void * | Private
| Private data. More...

## Detailed Description

This typedef contains configuration information of the tiles.

## Field Documentation

u16 XAieGbl_Tile::ColId

Column index of the tile in the AIE array.

Referenced by XAieGbl_CfgInitialize().

u32 XAieGbl_Tile::CoreBCUsedMask

Core module used broadcast event mask.

u64 XAieGbl_Tile::CoreModAddr

48-bit Core module base address

Referenced by XAieGbl_CfgInitialize().

u8 XAieGbl_Tile::IsReady

Tile is initialized and ready.

Referenced by XAieGbl_CfgInitialize().

u8 XAieGbl_Tile::IsUsed

Tile is in use(not gated)

u64 XAieGbl_Tile::LockAddr

48-bit Lock config base address

Referenced by XAieGbl_CfgInitialize().

u32 XAieGbl_Tile::MemBCUsedMask

Memory module used broadcast event mask.

u64 XAieGbl_Tile::MemModAddr

48-bit Memory module base address

Referenced by XAieGbl_CfgInitialize().

u64 XAieGbl_Tile::NocModAddr

48-bit NoC module base address

Referenced by XAieGbl_CfgInitialize().

u32 XAieGbl_Tile::PlIntEvtUsedMask

PL module used internal event mask.

u64 XAieGbl_Tile::PlModAddr

48-bit PL module base address

Referenced by XAieGbl_CfgInitialize().

void* XAieGbl_Tile::Private

Private data.

Referenced by XAieTileProc_Finish(), and XAieTileProc_Init().

u16 XAieGbl_Tile::RowId

Row index of the tile in the AIE array.

Referenced by XAieGbl_CfgInitialize().

u64 XAieGbl_Tile::StrmSwAddr

48-bit Stream switch config base address

Referenced by XAieGbl_CfgInitialize().

u64 XAieGbl_Tile::TileAddr

48-bit Tile base address

Referenced by XAieDma_ShimInitialize(), XAieDma_ShimSoftInitialize(), XAieDma_TileInitialize(), XAieDma_TileSoftInitialize(), XAieGbl_CfgInitialize(), XAieTile_CoreControl(), XAieTile_CoreEventStatusGet(), XAieTile_CoreGroupEventSet(), XAieTile_CoreReadStatusDone(), XAieTile_CoreReadTimer(), XAieTile_CoreWaitCycles(), XAieTile_CoreWaitStatus(), XAieTile_DmReadWord(), XAieTile_DmWriteWord(), XAieTile_LockAcquire(), XAieTile_LockRelease(), XAieTile_MemComboEventControlSet32(), XAieTile_MemComboEventInputSet32(), XAieTile_MemEventStatusClear(), XAieTile_MemEventStatusGet(), XAieTile_MemGroupEventSet(), XAieTile_MemReadTimer(), XAieTile_NoCIntcL2Disable(), XAieTile_NoCIntcL2Enable(), XAieTile_NoCIntcL2IntrGet(), XAieTile_NoCIntcL2IntrSet(), XAieTile_NoCIntcL2Mask(), XAieTile_NoCIntcL2StatusClear(), XAieTile_NoCIntcL2StatusGet(), XAieTile_PlComboEventControlSet32(), XAieTile_PlComboEventInputSet32(), XAieTile_PlEventStatusClear(), XAieTile_PlEventStatusGet(), XAieTile_PlGroupEventSet(), XAieTile_PlIntcL1BlockNorthClr(), XAieTile_PlIntcL1BlockNorthSet(), XAieTile_PlIntcL1BlockNorthVal(), XAieTile_PlIntcL1Disable(), XAieTile_PlIntcL1Enable(), XAieTile_PlIntcL1IrqEventGet(), XAieTile_PlIntcL1IrqEventSet(), XAieTile_PlIntcL1IrqNoGet(), XAieTile_PlIntcL1IrqNoSet(), XAieTile_PlIntcL1Mask(), XAieTile_PlIntcL1StatusClr(), XAieTile_PlIntcL1StatusGet(), XAieTile_PlIntfDownszrDisable(), XAieTile_PlIntfDownszrEnable(), XAieTile_PlIntfDownszrSetBypass(), XAieTile_PlIntfStrmWidCfg(), XAieTile_PlReadTimer(), XAieTile_PlShimResetEnable(), XAieTile_ShimColumnReset(), XAieTile_ShimStrmDemuxConfig(), XAieTile_ShimStrmMuxConfig(), XAieTile_StrmConfigMstr(), XAieTile_StrmConfigSlv(), XAieTile_StrmConfigSlvSlot(), XAieTile_StrmEventPortSelect(), XAieTileCore_EventBroadcastBlockValue(), XAieTileCore_PerfCounterEventValue(), XAieTileCore_PerfCounterGet(), XAieTileCore_PerfCounterSet(), XAieTileMem_PerfCounterEventValue(), XAieTileMem_PerfCounterGet(), XAieTileMem_PerfCounterSet(), XAieTilePl_PerfCounterEventValue(), XAieTilePl_PerfCounterGet(), and XAieTilePl_PerfCounterSet().

u8 XAieGbl_Tile::TileType

AIE tile or Shim tile.

Referenced by XAieDma_ShimInitialize(), XAieDma_ShimSoftInitialize(), XAieDma_TileInitialize(), XAieDma_TileSoftInitialize(), XAieGbl_CfgInitialize(), XAieTile_CoreEventStatusGet(), XAieTile_CoreGroupEventSet(), XAieTile_CoreResetTimer(), XAieTile_CoreSetTimerResetEvent(), XAieTile_CoreSetTimerTrigEventVal(), XAieTile_EventsWaitForPending(), XAieTile_LockAcquire(), XAieTile_LockRelease(), XAieTile_MemComboEventControlSet32(), XAieTile_MemComboEventInputSet32(), XAieTile_MemEventStatusClear(), XAieTile_MemEventStatusGet(), XAieTile_MemGroupEventSet(), XAieTile_MemReadTimer(), XAieTile_MemResetTimer(), XAieTile_MemSetTimerResetEvent(), XAieTile_MemSetTimerTrigEventVal(), XAieTile_NoCIntcL2Disable(), XAieTile_NoCIntcL2Enable(), XAieTile_NoCIntcL2IntrGet(), XAieTile_NoCIntcL2IntrSet(), XAieTile_NoCIntcL2Mask(), XAieTile_NoCIntcL2StatusClear(), XAieTile_NoCIntcL2StatusGet(), XAieTile_PlComboEventControlSet32(), XAieTile_PlComboEventInputSet32(), XAieTile_PlEventStatusClear(), XAieTile_PlEventStatusGet(), XAieTile_PlGroupEventSet(), XAieTile_PlIntcL1BlockNorthClr(), XAieTile_PlIntcL1BlockNorthSet(), XAieTile_PlIntcL1BlockNorthVal(), XAieTile_PlIntcL1Disable(), XAieTile_PlIntcL1Enable(), XAieTile_PlIntcL1IrqEventGet(), XAieTile_PlIntcL1IrqEventSet(), XAieTile_PlIntcL1IrqNoGet(), XAieTile_PlIntcL1IrqNoSet(), XAieTile_PlIntcL1Mask(), XAieTile_PlIntcL1StatusClr(), XAieTile_PlIntcL1StatusGet(), XAieTile_PlIntfDownszrDisable(), XAieTile_PlReadTimer(), XAieTile_PlResetTimer(), XAieTile_PlSetTimerResetEvent(), XAieTile_PlSetTimerTrigEventVal(), XAieTile_PlShimResetEnable(), XAieTile_ShimColumnReset(), XAieTile_ShimStrmDemuxConfig(), XAieTile_ShimStrmMuxConfig(), XAieTile_StrmConfigMstr(), XAieTile_StrmConfigSlv(), XAieTile_StrmConfigSlvSlot(), XAieTile_StrmEventPortSelect(), XAieTileCore_EventBroadcastBlockValue(), XAieTileCore_PerfCounterControl(), XAieTileCore_PerfCounterEventValue(), XAieTileCore_PerfCounterGet(), XAieTileCore_PerfCounterSet(), XAieTileMem_EventBroadcastBlockValue(), XAieTileMem_PerfCounterControl(), XAieTileMem_PerfCounterEventValue(), XAieTileMem_PerfCounterGet(), XAieTileMem_PerfCounterSet(), XAieTilePl_PerfCounterControl(), XAieTilePl_PerfCounterGet(), and XAieTilePl_PerfCounterSet().